"""Initial creation of rent_monitoring table

Revision ID: 9a76b3f5a8c1
Revises: 0001
Create Date: 2023-05-24 11:32:41.754124

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '9a76b3f5a8c1'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'rent_monitoring',
        sa.Column('id', sa.String(36), primary_key=True, default=func.uuid_generate_v4()),
        sa.Column('property_address', sa.String(), nullable=False),
        sa.Column('property_type', sa.String(), nullable=False),
        sa.Column('bedrooms', sa.Integer(), nullable=False),
        sa.Column('bathrooms', sa.Integer(), nullable=False),
        sa.Column('square_feet', sa.Float(), nullable=False),
        sa.Column('rent_amount', sa.Float(), nullable=False),
        sa.Column('listing_url', sa.String(), nullable=False),
        sa.Column('listing_source', sa.String(), nullable=False),
        sa.Column('is_available', sa.Boolean(), nullable=False, server_default='1'),
        sa.Column('created_at', sa.DateTime(), nullable=False, server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), nullable=False, server_default=func.now(), onupdate=func.now())
    )


def downgrade():
    op.drop_table('rent_monitoring')