from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.rent_monitoring import RentMonitoringSchema
from helpers.rent_monitoring_helpers import get_all_rent_monitorings

router = APIRouter()

@router.get("/rentmonitoring", status_code=200, response_model=List[RentMonitoringSchema])
async def get_rent_monitorings(db: Session = Depends(get_db)):
    rent_monitorings = get_all_rent_monitorings(db)
    return rent_monitorings